> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alterhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List available models



## OpenAPI

````yaml openapi.json get /v1/models
openapi: 3.1.0
info:
  title: Alter Public API (OpenAI Compatible)
  version: 1.0.0
  description: Public-facing OpenAI-compatible endpoints.
servers:
  - url: https://alterhq.com/api
security: []
paths:
  /v1/models:
    get:
      summary: List available models
      operationId: listModels
      responses:
        '200':
          description: A list of models.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelList'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
      security:
        - BearerAuth: []
components:
  schemas:
    ModelList:
      type: object
      required:
        - object
        - data
      properties:
        object:
          type: string
          const: list
        data:
          type: array
          items:
            $ref: '#/components/schemas/Model'
    Model:
      type: object
      required:
        - id
        - object
        - created
        - owned_by
      properties:
        id:
          type: string
        object:
          type: string
          const: model
        created:
          type: integer
        owned_by:
          type: string
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
            type:
              type: string
            param:
              type:
                - string
                - 'null'
            code:
              oneOf:
                - type: string
                - type: integer
                - type: 'null'
          required:
            - message
            - type
      required:
        - error
  responses:
    UnauthorizedError:
      description: Unauthorized.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Alter token
      description: Bearer token issued by the Alter macOS app.

````